import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		id: commonLogic.appcommonhandle("规则执行结果标识",null),
		name: commonLogic.appcommonhandle("规则执行结果描述",null),
		rule_id: commonLogic.appcommonhandle("规则标识",null),
		rule_name: commonLogic.appcommonhandle("规则标识",null),
		ret_value: commonLogic.appcommonhandle("是否匹配",null),
		business_cat: commonLogic.appcommonhandle("业务类别",null),
		key_value_field: commonLogic.appcommonhandle("标识属性",null),
		domains_field: commonLogic.appcommonhandle("分区字段",null),
		time_field: commonLogic.appcommonhandle("时间属性",null),
		dim_field: commonLogic.appcommonhandle("维度属性",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		metric_field: commonLogic.appcommonhandle("指标属性",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		ext1_field: commonLogic.appcommonhandle("扩展属性1",null),
		ext2_field: commonLogic.appcommonhandle("扩展属性2",null),
		system_id: commonLogic.appcommonhandle("系统标识",null),
	},
		views: {
			gridview: {
				caption: commonLogic.appcommonhandle("执行结果",null),
				title: commonLogic.appcommonhandle("执行结果表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("执行结果",null),
				title: commonLogic.appcommonhandle("执行结果编辑视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("执行结果基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("规则执行结果标识",null), 
				srfmajortext: commonLogic.appcommonhandle("规则执行结果描述",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ru_execresultname: commonLogic.appcommonhandle("规则执行结果描述",null), 
				rulename: commonLogic.appcommonhandle("规则标识",null), 
				keyvaluefield: commonLogic.appcommonhandle("标识属性",null), 
				retvalue: commonLogic.appcommonhandle("是否匹配",null), 
				dimfield: commonLogic.appcommonhandle("维度属性",null), 
				domainsfield: commonLogic.appcommonhandle("分区字段",null), 
				timefield: commonLogic.appcommonhandle("时间属性",null), 
				metricfield: commonLogic.appcommonhandle("指标属性",null), 
				businesscat: commonLogic.appcommonhandle("业务类别",null), 
				ext1field: commonLogic.appcommonhandle("扩展属性1",null), 
				ext2field: commonLogic.appcommonhandle("扩展属性2",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
				ru_execresultid: commonLogic.appcommonhandle("规则执行结果标识",null), 
				ruleid: commonLogic.appcommonhandle("规则标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ru_execresultname: commonLogic.appcommonhandle("规则执行结果描述",null),
				ruleid: commonLogic.appcommonhandle("规则标识",null),
				rulename: commonLogic.appcommonhandle("规则标识",null),
				retvalue: commonLogic.appcommonhandle("是否匹配",null),
				dimfield: commonLogic.appcommonhandle("维度属性",null),
				domainsfield: commonLogic.appcommonhandle("分区字段",null),
				keyvaluefield: commonLogic.appcommonhandle("标识属性",null),
				metricfield: commonLogic.appcommonhandle("指标属性",null),
				timefield: commonLogic.appcommonhandle("时间属性",null),
				businesscat: commonLogic.appcommonhandle("业务类别",null),
				ext1field: commonLogic.appcommonhandle("扩展属性1",null),
				ext2field: commonLogic.appcommonhandle("扩展属性2",null),
				createdate: commonLogic.appcommonhandle("建立时间",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_ru_execresultname_like: commonLogic.appcommonhandle("规则执行结果描述(文本包含(%))",null), 
				n_rulename_like: commonLogic.appcommonhandle("规则标识(文本包含(%))",null), 
				n_rulename_eq: commonLogic.appcommonhandle("规则标识(=)",null), 
				n_ruleid_eq: commonLogic.appcommonhandle("规则标识(=)",null), 
				n_systemid_eq: commonLogic.appcommonhandle("系统标识(=)",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("Help",null),
				tip: commonLogic.appcommonhandle("Help",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("Remove And Close",null),
				tip: commonLogic.appcommonhandle("Remove And Close Window",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Save And New",null),
				tip: commonLogic.appcommonhandle("Save And New",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("Help",null),
				tip: commonLogic.appcommonhandle("Help",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;